DOM::HTMLHRElement Class Reference

`#include <html_block.h>`

Inheritance diagram for DOM::HTMLHRElement:

## Public Member Functions

| HTMLHRElement (const HTMLHRElement &other)
| HTMLHRElement (const Node &other)
HTMLHRElement & | operator= (const HTMLHRElement &other)
HTMLHRElement & | operator= (const Node &other)
DOMString | align () const
void | setAlign (const DOMString &)
bool | noShade () const
void | setNoShade (bool)
DOMString | size () const
void | setSize (const DOMString &)
DOMString | width () const
void | setWidth (const DOMString &)
Public Member Functions inherited from DOM::HTMLElement
| HTMLElement (const HTMLElement &other)
| HTMLElement (const Node &other)
HTMLElement & | operator= (const HTMLElement &other)
HTMLElement & | operator= (const Node &other)
DOMString | id () const
void | setId (const DOMString &)
DOMString | title () const
void | setTitle (const DOMString &)
DOMString | lang () const
void | setLang (const DOMString &)
DOMString | dir () const
void | setDir (const DOMString &)
DOMString | className () const
void | setClassName (const DOMString &)
DOMString | innerHTML () const
void | setInnerHTML (const DOMString &html)
DOMString | innerText () const
void | setInnerText (const DOMString &text)
HTMLCollection | children () const
HTMLCollection | all () const
void | removeCSSProperty (const DOMString &property)
void | addCSSProperty (const DOMString &property, const DOMString &value)
Public Member Functions inherited from DOM::Element
| Element (const Node &other)
| Element (const Element &other)
Element & | operator= (const Node &other)
Element & | operator= (const Element &other)
DOMString | tagName () const
DOMString | getAttribute (const DOMString &name)
void | setAttribute (const DOMString &name, const DOMString &value)
void | removeAttribute (const DOMString &name)
Attr | getAttributeNode (const DOMString &name)
Attr | setAttributeNode (const Attr &newAttr)
Attr | removeAttributeNode (const Attr &oldAttr)
NodeList | getElementsByTagName (const DOMString &name)
NodeList | getElementsByTagNameNS (const DOMString &namespaceURI, const DOMString &localName)
DOMString | getAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
void | setAttributeNS (const DOMString &namespaceURI, const DOMString &qualifiedName, const DOMString &value)
void | removeAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
Attr | getAttributeNodeNS (const DOMString &namespaceURI, const DOMString &localName)
Attr | setAttributeNodeNS (const Attr &newAttr)
bool | hasAttribute (const DOMString &name)
bool | hasAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
CSSStyleDeclaration | style ()
bool | contentEditable () const
void | setContentEditable (bool enabled)
bool | isHTMLElement () const
Element | form () const
Public Member Functions inherited from DOM::Node
| Node (const Node &other)
| Node (NodeImpl *_impl)
Node & | operator= (const Node &other)
bool | operator== (const Node &other) const
bool | operator!= (const Node &other) const
DOMString | nodeName () const
DOMString | nodeValue () const
void | setNodeValue (const DOMString &)
unsigned short | nodeType () const
Node | parentNode () const
NodeList | childNodes () const
Node | firstChild () const
Node | lastChild () const
Node | previousSibling () const
Node | nextSibling () const
NamedNodeMap | attributes () const
Document | ownerDocument () const
Node | insertBefore (const Node &newChild, const Node &refChild)
Node | replaceChild (const Node &newChild, const Node &oldChild)
Node | removeChild (const Node &oldChild)
Node | appendChild (const Node &newChild)
bool | hasChildNodes ()
Node | cloneNode (bool deep)
void | normalize ()
bool | isSupported (const DOMString &feature, const DOMString &version) const
DOMString | namespaceURI () const
DOMString | prefix () const
void | setPrefix (const DOMString &prefix)
DOMString | localName () const
bool | hasAttributes ()
DOMString | textContent () const
void | setTextContent (const DOMString &content) const
void | addEventListener (const DOMString &type, EventListener *listener, const bool useCapture)
void | removeEventListener (const DOMString &type, EventListener *listener, bool useCapture)
bool | dispatchEvent (const Event &evt)
Q_UINT32 | elementId () const
bool | isNull () const
NodeImpl * | handle () const
unsigned long | index () const
QString | toHTML () KDE_DEPRECATED
void | applyChanges ()
void | getCursor (int offset, int &_x, int &_y, int &height) KDE_DEPRECATED
QRect | getRect ()

## Protected Member Functions

| HTMLHRElement (HTMLHRElementImpl *impl)
Protected Member Functions inherited from DOM::HTMLElement
| HTMLElement (HTMLElementImpl *impl)
void | assignOther (const Node &other, int elementId)
Protected Member Functions inherited from DOM::Element
| Element (ElementImpl *_impl)

## Additional Inherited Members

Public Types inherited from DOM::Node
enum | NodeType { ELEMENT_NODE = 1, ATTRIBUTE_NODE = 2, TEXT_NODE = 3, CDATA_SECTION_NODE = 4, ENTITY_REFERENCE_NODE = 5, ENTITY_NODE = 6, PROCESSING_INSTRUCTION_NODE = 7, COMMENT_NODE = 8, DOCUMENT_NODE = 9, DOCUMENT_TYPE_NODE = 10, DOCUMENT_FRAGMENT_NODE = 11, NOTATION_NODE = 12 }
Static Public Member Functions inherited from DOM::Element
static bool | khtmlValidAttrName (const DOMString &name)
static bool | khtmlValidPrefix (const DOMString &name)
static bool | khtmlValidQualifiedName (const DOMString &name)
static bool | khtmlMalformedQualifiedName (const DOMString &name)
static bool | khtmlMalformedPrefix (const DOMString &name)
Protected Attributes inherited from DOM::Node
NodeImpl * | impl

## Detailed Description

Create a horizontal rule.

See the HR element definition in HTML 4.0.

Definition at line 133 of file html_block.h.

## Member Function Documentation

DOMString HTMLHRElement::align | ( |  | ) | const

Align the rule on the page.

See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

Definition at line 154 of file html_block.cpp.

bool HTMLHRElement::noShade | ( |  | ) | const

Indicates to the user agent that there should be no shading in the rendering of this element.

See the noshade attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

Definition at line 165 of file html_block.cpp.

void HTMLHRElement::setAlign | ( | const DOMString & | value | ) |

see align

Definition at line 160 of file html_block.cpp.

void HTMLHRElement::setNoShade | ( | bool | _noShade | ) |

see noShade

Definition at line 171 of file html_block.cpp.

void HTMLHRElement::setSize | ( | const DOMString & | value | ) |

see size

Definition at line 188 of file html_block.cpp.

void HTMLHRElement::setWidth | ( | const DOMString & | value | ) |

see width

Definition at line 199 of file html_block.cpp.

DOMString HTMLHRElement::size | ( |  | ) | const

The height of the rule.

See the size attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

Definition at line 182 of file html_block.cpp.

DOMString HTMLHRElement::width | ( |  | ) | const

The width of the rule.

See the width attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

Definition at line 193 of file html_block.cpp.

The documentation for this class was generated from the following files:

- html_block.h
- html_block.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys